# vim: set sw=4 ts=4 et nu:
#
# spec file for package poezio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           poezio
Version:        0.11
Release:        lp150.1.3
Summary:        Lightweight XMPP Client for the Console
License:        MIT
Group:          Productivity/Networking/Other
URL:            http://poezio.eu/en/
Source:         https://dev.louiz.org/attachments/download/118/poezio-%{version}.tar.gz
Source1:        poezio.desktop
# PATCH-FIX-OPENSUSE - remove shebangs -- sleep_walker@opensuse.org
Patch0:         poezio-remove_shebang.patch
BuildRequires:  fdupes
BuildRequires:  make
BuildRequires:  python-rpm-macros
BuildRequires:  python3-curses
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires:       python3-aiodns
Requires:       python3-curses
Requires:       python3-setuptools
Requires:       python3-slixmpp

%description
Poezio is a console-based client for XMPP, the protocol on which the Jabber IM
network is built.

Its goal is to let you connect to the network very easily (without having to
create an account) and join various chatrooms immediately.

It tries to look like the most famous IRC clients (such as weechat and irssi).
Many commands are identical and you won't be lost if you already know these
clients. Configuration can be done in a configuration file or directly from the
client.

It embodies the light, fast, geeky, and anonymous spirit of IRC while using a
new, powerful, standard, and open protocol.

%package doc
Summary:        Documentation for poezio

%description doc
Documentation generated by poezio package but split out because of its
size.

%prep
%setup -q
%patch0 -p1

%build
%python3_build

%install
%python3_install
install -m 0755 -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}%{_docdir}/../%{name} %{buildroot}%{_docdir}/
%fdupes %{buildroot}%{_libdir}/python3*/site-packages
%fdupes %{buildroot}%{_docdir}/%{name}
install -m 0755 -d %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications

%files doc
%{_docdir}/poezio

%files
%license COPYING
%{_libdir}/python3*/site-packages/%{name}*
%{_bindir}/poezio*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/poezio
%{_mandir}/man1/%{name}*%{ext_man}

%changelog
* Sun Mar  4 2018 sleep_walker@opensuse.org
- fix package license and add license file to the package
- run through spec cleaner
- add poezio-remove_shebang.patch
* Thu Feb  8 2018 sleep_walker@opensuse.org
- bump to 0.11
  see CHANGELOG for full list of changes (which happened over 7 years)
- requires python3-aiodns now, requires python-slixmpp instead of
  python-sleakxmpp
- split documentation
* Wed Feb  2 2011 pascal.bleser@opensuse.org
- initial version (0.7.1)
